%define _disable_ld_no_undefined %{nil}

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/zathura/.*\\.so

# explicitly set zathura version because plugins (like djvu, ps and pdf-poppler)
# should absolutely be rebuilded at each new release otherwise zathura crashes, see
# mga#32937
%define zathura_version 0.5.8

Name:		zathura-ps
Version:	0.2.8
Release:	%mkrel 1
Summary:	PS support for zathura via libspectre
Group:		Publishing
License:	zlib
URL:		https://pwmt.org/projects/zathura/plugins/%{name}
Source0:	https://pwmt.org/projects/zathura-ps/download/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(zathura) = %{zathura_version}

Requires:	zathura = %{zathura_version}

%description
The zathura-ps plugin adds PostScript support to zathura by
using the libspectre library.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS
%license LICENSE
%{_libdir}/zathura/libps.so
%{_datadir}/applications/org.pwmt.zathura-ps.desktop
%{_metainfodir}/org.pwmt.zathura-ps.metainfo.xml


%changelog
* Wed Aug 21 2024 daviddavid <daviddavid> 0.2.8-1.mga10
+ Revision: 2087317
- new version: 0.2.8

* Wed Mar 06 2024 daviddavid <daviddavid> 0.2.7-3.mga10
+ Revision: 2048065
- rebuild against zathura 0.5.5

* Sat Apr 02 2022 umeabot <umeabot> 0.2.7-2.mga9
+ Revision: 1840892
- Mageia 9 Mass Rebuild

* Fri Nov 12 2021 wally <wally> 0.2.7-1.mga9
+ Revision: 1755940
- new version 0.2.7

* Sat Feb 15 2020 umeabot <umeabot> 0.2.6-3.mga8
+ Revision: 1525516
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 0.2.6-2.mga7
+ Revision: 1392990
- Rebuild with meson 0.50.1
+ wally <wally>
- don't provide plugin .so

* Sun Mar 31 2019 wally <wally> 0.2.6-1.mga7
+ Revision: 1383396
- new version 0.2.6
- switch to meson build

* Sun Sep 23 2018 umeabot <umeabot> 0.2.4-2.mga7
+ Revision: 1302037
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 wally <wally> 0.2.4-1.mga7
+ Revision: 1170743
- new version 0.2.4

* Fri Jan 01 2016 wally <wally> 0.2.3-1.mga6
+ Revision: 917696
- new version 0.2.3

* Tue Jun 23 2015 wally <wally> 0.2.2-6.mga6
+ Revision: 840926
- rebuild for new girara

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-5.mga5
+ Revision: 744333
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-4.mga5
+ Revision: 690858
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 wally <wally> 0.2.2-3.mga5
+ Revision: 586355
- rebuild for new girara

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-2.mga4
+ Revision: 528600
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 wally <wally> 0.2.2-1.mga4
+ Revision: 446556
- clean .spec
- imported package zathura-ps


* Wed May 29 2013 Petr Šabata <contyk@redhat.com> - 0.2.2-2
- Fix a debuginfo regression (#967954)

* Fri Mar 29 2013 Kevin Fenzi <kevin@scrye.com> 0.2.1-1
- Update to 0.2.1

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 François Cami <fcami@fedoraproject.org> - 0.2.0-3
- force-require zathura.

* Sun Dec 02 2012 François Cami <fcami@fedoraproject.org> - 0.2.0-2
- remove EL5 specific stuff.

* Sun Dec 02 2012 François Cami <fcami@fedoraproject.org> - 0.2.0-1
- Initial package.
